Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.mode
Class ModeFactory

    java.lang.Object
      |
      +--gnu.crypto.mode.ModeFactory

All Implemented Interfaces:
  Registry

public class ModeFactory
extends java.lang.Object
implements Registry

A Factory to instantiate block cipher modes of operations.

Version:
  $Revision: 1.4 $

Fields inherited from interface gnu.crypto.Registry
`AES_CIPHER, ANUBIS_CIPHER, CTR_MODE, DSA_KPG, DSA_SIG, DSS_KPG, DSS_SIG, ECB_MODE, GNU_CRYPTO, HMAC_NAME_PREFIX, ICM_MODE, ICM_PRNG, KHAZAD_CIPHER, MD_PRNG, MD4_HASH, MD5_HASH, NULL_CIPHER, OFB_MODE, PKCS7_PAD, RIJNDAEL_CIPHER, RIPEMD_128_HASH, RIPEMD_160_HASH, RIPEMD128_HASH, RIPEMD160_HASH, RSA_KPG, RSA_PSS_SIG, SERPENT_CIPHER, SHA_1_HASH, SHA_HASH, SHA1_HASH, SHA160_HASH, SQUARE_CIPHER, TBC_PAD, TMMH16, TWOFISH_CIPHER, UHASH32, UMAC_PRNG, UMAC32, WHIRLPOOL_HASH`

Method Summary
`static IMode` | `getInstance(java.lang.String mode, IBlockCipher cipher, int cipherBlockSize)`
`static IMode` | `getInstance(java.lang.String mode, java.lang.String cipher, int cipherBlockSize)` Returns an instance of a block cipher mode of operations given its name and characteristics of the underlying block cipher.
`static java.util.Set` | `getNames()` Returns a `Set` of names of mode supported by this Factory.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static IMode getInstance(java.lang.String mode,
                                    java.lang.String cipher,
                                    int cipherBlockSize)

  Returns an instance of a block cipher mode of operations given its name and characteristics of the underlying block cipher.

  Parameters:
    `mode` - the case-insensitive name of the mode of operations.
    `cipher` - the case-insensitive name of the block cipher.
    `cipherBlockSize` - the block size, in bytes, of the underlying cipher.
  Returns:
    an instance of the block cipher algorithm, operating in a given mode of operations, or `null` if none found.
  Throws:
    `InternalError` - if either the mode or the underlying block cipher implementation does not pass its self-test.

### getInstance

    public static IMode getInstance(java.lang.String mode,
                                    IBlockCipher cipher,
                                    int cipherBlockSize)

### getNames

    public static final java.util.Set getNames()

  Returns a `Set` of names of mode supported by this Factory.

  Returns:
    a `Set` of mode names (Strings).

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.